---
title: Window.innerHeight
slug: Web/API/Window/innerHeight
tags:
  - API
  - CSSOM
  - CSSOM View
  - HTML DOM
  - NeedsInteractiveExample
  - Property
  - Reference
  - View
  - Window
  - height
  - innerHeight
---
<div>{{APIRef}}</div>

<p>The read-only <strong><code>innerHeight</code></strong> property of the {{domxref("Window")}} interface returns the interior height of the window in pixels, including the height of the horizontal scroll bar, if present.</p>

<p>The value of <code>innerHeight</code> is taken from the height of the window's {{Glossary("layout viewport")}}. The width can be obtained using the {{domxref("Window.innerWidth", "innerWidth")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <var>intViewportHeight</var> = window.innerHeight;</pre>

<h3 id="Value">Value</h3>

<p>An integer value indicating the window's layout viewport height in pixels. The property is read only and has no default value.</p>

<p>To change the width of the window, call one of its resize methods, such as {{domxref("Window.resizeTo", "resizeTo()")}} or {{domxref("Window.resizeBy", "resizeBy()")}}.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>To obtain the height of the window minus its horizontal scroll bar and any borders, use the root {{HTMLElement("html")}} element's {{domxref("Element.clientHeight", "clientHeight()")}} property instead.</p>

<p>Both <code>innerHeight</code> and <code>innerWidth</code> are available on any window or any object that behaves like a window, such as a tab or frame.</p>

<h2 id="Example">Example</h2>

<h3 id="Assuming_a_frameset">Assuming a frameset</h3>

<pre class="brush:js notranslate">var intFrameHeight = window.innerHeight; // or

var intFrameHeight = self.innerHeight;
// will return the height of the frame viewport within the frameset

var intFramesetHeight = parent.innerHeight;
// will return the height of the viewport of the closest frameset

var intOuterFramesetHeight = top.innerHeight;
// will return the height of the viewport of the outermost frameset
</pre>

<p>{{todo("link to an interactive demo here")}}</p>

<p>To change the size of a window, see {{domxref("window.resizeBy()")}} and {{domxref("window.resizeTo()")}}.</p>

<p>To get the outer height of a window, i.e. the height of the whole browser window, see {{domxref("window.outerHeight")}}.</p>

<h3 id="Graphical_example">Graphical example</h3>

<p>The following figure shows the difference between <code>outerHeight</code> and <code>innerHeight</code>.</p>

<p><img alt="innerHeight vs outerHeight illustration" src="/@api/deki/files/213/=FirefoxInnerVsOuterHeight2.png"></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-window-innerheight', 'window.innerHeight')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.innerHeight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.innerWidth")}}</li>
 <li>{{domxref("window.outerHeight")}}</li>
 <li>{{domxref("window.outerWidth")}}</li>
</ul>
